Bug 1568877 - Review Request: perl-File-Copy-Recursive-Reduced - Recursive copying of files and directories within Perl 5 toolchain
Summary: Review Request: perl-File-Copy-Recursive-Reduced - Recursive copying of files...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 11:08 UTC by Paul Howarth
Modified: 2018-05-06 01:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-27 04:07:10 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Paul Howarth 2018-04-18 11:08:38 UTC
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/perl-File-Copy-Recursive-Reduced/branches/fedora/perl-File-Copy-Recursive-Reduced.spec
SRPM URL: dhttp://www.city-fan.org/~paul/extras/perl-File-Copy-Recursive-Reduced/perl-File-Copy-Recursive-Reduced-0.003-1.fc29.src.rpm

Description:
This library is intended as a not-quite-drop-in replacement for certain
functionality provided by CPAN distribution File-Copy-Recursive. The library
provides methods similar enough to that distribution's fcopy() and dircopy()
functions to be usable in those CPAN distributions often described as being
part of the Perl toolchain.

Fedora Account System Username: pghmcfc

This package is needed by perl-Module-Build-XSUtil 0.19 and is likely to be needed by other packages before long, since perl-File-Copy-Recursive is currently FTBFS in bleadperl (https://rt.cpan.org/Public/Bug/Display.html?id=123964).

Comment 1 Robert-André Mauchin 2018-04-18 13:28:45 UTC
URL and Source addresses are Ok.
Source archive (SHA-256: da4ac403cb6b82fc9898d22cfd1e90481ac37804e0377d1f00fd4517d94a0f76) is original. Ok.
Summary verified from lib/File/Copy/Recursive/Reduced.pm. Ok.
Description verified from lib/File/Copy/Recursive/Reduced.pm. Ok.
License verified from lib/File/Copy/Recursive/Reduced.pm and LICENSE. Ok.
No XS code, noarch BuildArch is Ok.

All tests pass. Ok.

$ rpmlint perl-File-Copy-Recursive-Reduced.spec review-perl-File-Copy-Recursive-Reduced/results/perl-File-Copy-Recursive-Reduced-0.003-1.fc29.noarch.rpm review-perl-File-Copy-Recursive-Reduced/results/perl-File-Copy-Recursive-Reduced-0.003-1.fc29.src.rpm 
perl-File-Copy-Recursive-Reduced.noarch: W: spelling-error Summary(en_US) toolchain -> tool chain, tool-chain, Chaitin
perl-File-Copy-Recursive-Reduced.noarch: W: spelling-error %description -l en_US fcopy -> copy, f copy
perl-File-Copy-Recursive-Reduced.noarch: W: spelling-error %description -l en_US dircopy -> radioscopy
perl-File-Copy-Recursive-Reduced.noarch: W: spelling-error %description -l en_US toolchain -> tool chain, tool-chain, Chaitin
perl-File-Copy-Recursive-Reduced.noarch: E: incorrect-fsf-address /usr/share/licenses/perl-File-Copy-Recursive-Reduced/LICENSE
perl-File-Copy-Recursive-Reduced.src: W: spelling-error Summary(en_US) toolchain -> tool chain, tool-chain, Chaitin
perl-File-Copy-Recursive-Reduced.src: W: spelling-error %description -l en_US fcopy -> copy, f copy
perl-File-Copy-Recursive-Reduced.src: W: spelling-error %description -l en_US dircopy -> radioscopy
perl-File-Copy-Recursive-Reduced.src: W: spelling-error %description -l en_US toolchain -> tool chain, tool-chain, Chaitin
2 packages and 1 specfiles checked; 1 errors, 8 warnings.

Please notify upstream about the obsolete FSF address.

$ rpm -q -lv -p perl-File-Copy-Recursive-Reduced-0.003-1.fc29.noarch.rpm
drwxr-xr-x    2 root    root                        0 avril 18 15:14 /usr/share/doc/perl-File-Copy-Recursive-Reduced                                                                                                                  
-rw-r--r--    1 root    root                      536 avril 17 15:14 /usr/share/doc/perl-File-Copy-Recursive-Reduced/Changes                                                                                                          
-rw-r--r--    1 root    root                     1763 avril 17 15:11 /usr/share/doc/perl-File-Copy-Recursive-Reduced/README                                                                                                           
-rw-r--r--    1 root    root                      243 avril 16 23:50 /usr/share/doc/perl-File-Copy-Recursive-Reduced/Todo                                                                                                             
drwxr-xr-x    2 root    root                        0 avril 18 15:14 /usr/share/licenses/perl-File-Copy-Recursive-Reduced                                                                                                             
-rw-r--r--    1 root    root                    20545 avril 11 04:05 /usr/share/licenses/perl-File-Copy-Recursive-Reduced/LICENSE                                                                                                     
-rw-r--r--    1 root    root                     4354 avril 18 15:14 /usr/share/man/man3/File::Copy::Recursive::Reduced.3pm.gz                                                                                                        
drwxr-xr-x    2 root    root                        0 avril 18 15:14 /usr/share/perl5/vendor_perl/File             
drwxr-xr-x    2 root    root                        0 avril 18 15:14 /usr/share/perl5/vendor_perl/File/Copy
drwxr-xr-x    2 root    root                        0 avril 18 15:14 /usr/share/perl5/vendor_perl/File/Copy/Recursive
-rw-r--r--    1 root    root                    15709 avril 17 15:13 /usr/share/perl5/vendor_perl/File/Copy/Recursive/Reduced.pm
File permissions and layout are Ok.

$ rpm -q --requires -p perl-File-Copy-Recursive-Reduced-0.003-1.fc29.noarch.rpm  | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.26.2)
      1 perl(Exporter)
      1 perl(File::Copy)
      1 perl(File::Find)
      1 perl(File::Path)
      1 perl(File::Spec)
      1 perl(parent)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.


rpm -q --provides -p perl-File-Copy-Recursive-Reduced-0.003-1.fc29.noarch.rpm
perl(File::Copy::Recursive::Reduced) = 0.003
perl-File-Copy-Recursive-Reduced = 0.003-1.fc29
Binary provides are Ok.



Package builds in F28 (https://koji.fedoraproject.org/koji/taskinfo?taskID=26440036)
Ok

The package is in line with Fedora and Perl packaging guidelines.

Resolution: Package approved.

Comment 2 Paul Howarth 2018-04-18 14:53:35 UTC
Thanks for the review Robert-André.

FSF address issue:
https://github.com/jkeenan/file-copy-recursive-reduced/pull/1

Comment 3 Fedora Update System 2018-04-18 15:32:32 UTC
perl-File-Copy-Recursive-Reduced-0.003-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-301be36b8c

Comment 4 Fedora Update System 2018-04-18 15:32:40 UTC
perl-File-Copy-Recursive-Reduced-0.003-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f42567ed36

Comment 5 Fedora Update System 2018-04-18 15:32:46 UTC
perl-File-Copy-Recursive-Reduced-0.003-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-ae7302f884

Comment 6 Fedora Update System 2018-04-18 15:32:51 UTC
perl-File-Copy-Recursive-Reduced-0.003-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-cd0128afc0

Comment 7 Fedora Update System 2018-04-19 01:10:26 UTC
perl-File-Copy-Recursive-Reduced-0.003-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-ae7302f884

Comment 8 Fedora Update System 2018-04-19 01:11:51 UTC
perl-File-Copy-Recursive-Reduced-0.003-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f42567ed36

Comment 9 Fedora Update System 2018-04-19 01:37:13 UTC
perl-File-Copy-Recursive-Reduced-0.003-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-cd0128afc0

Comment 10 Fedora Update System 2018-04-19 08:54:11 UTC
perl-File-Copy-Recursive-Reduced-0.003-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-301be36b8c

Comment 11 Fedora Update System 2018-04-27 04:07:10 UTC
perl-File-Copy-Recursive-Reduced-0.003-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-04-27 22:59:36 UTC
perl-File-Copy-Recursive-Reduced-0.003-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-04-27 23:38:18 UTC
perl-File-Copy-Recursive-Reduced-0.003-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-05-06 01:39:20 UTC
perl-File-Copy-Recursive-Reduced-0.003-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.